%global drupalver 6
%{?rhel: %{expand: %%global drupal drupal%%{drupalver}}}
%if 0%{?fedora} >= 15
%global drupal drupal%{drupalver}
%endif
%{!?drupal: %{expand: %%global drupal drupal}}
# e.g. "/usr/share/drupal6"
%global drupaldir %{_datadir}/%{drupal}
# Use upstream name as expressed in URL and tarball
%global modname features

Name:    drupal%{drupalver}-%{modname}
Version: 1.2
Release: 6%{?dist}
Summary: Provides feature management for Drupal
Group:   Applications/Publishing
License: GPLv2+
URL:     http://drupal.org/project/%{modname}
Source0: http://ftp.drupal.org/files/projects/%{modname}-%{drupalver}.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt
Source2: LICENSE.txt
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  %{drupal} >= 6.0

%description
The features module enables the capture
and management of features in Drupal.
A feature is a collection of Drupal entities
which taken together satisfy a certain use-case.

Features provides a UI and API for taking different site building components
from modules with exportables and
bundling them together in a single feature module.
A feature module is like any other Drupal module except
that it declares its components (e.g. views, contexts, CCK fields, etc.)
in its .info file so that it can be checked,
updated, or reverted programmatically.

%prep
%setup -qn %{modname}

%build
cp %{SOURCE1} .
cp %{SOURCE2} .

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/%{modname}
find . -type f -exec install -m 0644 -D '{}' %{buildroot}%{drupaldir}/modules/%{modname}/'{}' \;


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
# Remember to include other documentation text here as well
%doc LICENSE.txt %{name}-fedora-README.txt API.txt CHANGELOG.txt README.txt
# Remember to exclude all documentation texts from above
%exclude %{drupaldir}/modules/%{modname}/LICENSE.txt
%exclude %{drupaldir}/modules/%{modname}/%{name}-fedora-README.txt
%exclude %{drupaldir}/modules/%{modname}/API.txt
%exclude %{drupaldir}/modules/%{modname}/CHANGELOG.txt
%{drupaldir}/modules/%{modname}

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Feb 16 2012 Peter Borsa <peter.borsa@gmail.com> - 1.2-1
- Update to upstream 1.2

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jul 18 2011 Paul W. Frields <stickster@gmail.com> - 1.1-3
- Update to upstream 1.1

* Wed May 18 2011 Paul W. Frields <stickster@gmail.com> - 1.0-3
- Don't exclude README.txt so module can use it

* Mon May  2 2011 Peter Borsa <peter.borsa@gmail.com> - 1.0-2
- Fixed address in the LICENSE.txt

* Thu Apr 21 2011 Peter Borsa <peter.borsa@gmail.com> - 1.0-1
- Initial rpm package
